#This configuration for 3.14 kernel
pcm.card0 {
  type hw
  card 0
}

ctl.card0 {
  type hw
  card 0
}


###Dshare 

pcm.VOUTL8 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
		        rate 8000
                buffer_size 4097
                period_size 1000
                period_time 125000

        }
        bindings {
                0 0
        }
}

pcm.VOUTR8 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
		        rate 8000
		        buffer_size 4097
                period_size 1000
         	    period_time 125000
		
        }
        bindings {
                0 1
        }
}
### Dsnoop splited channels
pcm.VINL8 {
        type dsnoop
        ipc_key 32
        slave {

	            pcm "hw:0,0"
	            rate 8000
                buffer_size 4097    
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  0
}

pcm.VINR8 {
     type dsnoop
     ipc_key 32
     slave {
	            pcm "hw:0,0"
	            rate 8000
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  1
}



###Dshare 16k 

pcm.VOUTL16 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 16000
                buffer_size 4097
                period_size 1000
                period_time 125000

        }
        bindings {
                0 0
        }
}

pcm.VOUTR16 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 16000
                buffer_size 4097
                period_size 1000
                period_time 125000


        }
        bindings {
                0 1
        }
}
### Dsnoop splited channels
pcm.VINL16 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 16000
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  0
}

pcm.VINR16 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 16000
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  1
}


###Dshare 32k

pcm.VOUTL32 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 32000
                buffer_size 4097
                period_size 1000
                period_time 125000

        }
        bindings {
                0 0
        }
}

pcm.VOUTR32 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 32000
                buffer_size 4097
                period_size 1000
                period_time 125000


        }
        bindings {
                0 1
        }
}
### Dsnoop splited channels
pcm.VINL32 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 32000
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  0
}

pcm.VINR32 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 32000
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  1
}


###Dshare 44k

pcm.VOUTL44 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 44100
                buffer_size 4097
                period_size 1000
                period_time 125000

        }
        bindings {
                0 0
        }
}

pcm.VOUTR44 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 44100
                buffer_size 4097
                period_size 1000
                period_time 125000


        }
        bindings {
                0 1
        }
}
### Dsnoop splited channels
pcm.VINL44 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 44100
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  0
}

pcm.VINR44 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 44100
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  1
}

###Dshare 48k
pcm.VOUTL48 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 48000
                buffer_size 4097
                period_size 1000
                period_time 125000

        }
        bindings {
                0 0
        }
}

pcm.VOUTR48 {
        type dshare
        ipc_key 6678293
        ipc_key_add_uid yes
        slave {
                pcm "hw:0,0"
                rate 48000
                buffer_size 4097
                period_size 1000
                period_time 125000


        }
        bindings {
                0 1
        }
}

### Dsnoop splited channels
pcm.VINL48 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 48000
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  0
}

pcm.VINR48 {
     type dsnoop
     ipc_key 32
     slave {

                pcm "hw:0,0"
                rate 48000
                buffer_size 4097
                period_size 1000
                period_time 125000

         channels 2
     }
     bindings.0  1
}



pcm.!default VOUTR8
pcm.!default VOUTL8
pcm.!default VOUTR16
pcm.!default VOUTL16
pcm.!default VOUTR32
pcm.!default VOUTL32
pcm.!default VOUTR44
pcm.!default VOUTL44
pcm.!default VOUTR48
pcm.!default VOUTL48


